Skip to main content
GET
/
wallets
/
{walletId}
/
balances
Get wallet balances
curl --request GET \
  --url https://api.zeam.app/v1/wallets/{walletId}/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'x-zeam-auth: <api-key>'
{
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "balances": [
    {
      "assetCode": "USDC",
      "balance": "1250.0000000",
      "assetIssuer": "<string>",
      "assetType": "credit_alphanum4"
    }
  ],
  "publicKey": "<string>"
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token issued by POST /v1/auth/token.

x-zeam-auth
string
header
required

Application secret (Kong apiKey) issued at registration.

Path Parameters

walletId
string<uuid>
required

Wallet identifier.

Response

Wallet balances.

walletId
string<uuid>
required
balances
object[]
required
publicKey
string